TIGER_TO_OSM = {}
#primary roads with limited access
TIGER_TO_OSM[:a00] = {:highway => :unclassified}
TIGER_TO_OSM[:a11] = {:highway => :motorway, :"tiger:separated" => :no}
TIGER_TO_OSM[:a12] = {:highway => :motorway, :"tiger:separated" => :no, :tunnel => :yes}
TIGER_TO_OSM[:a13] = {:highway => :motorway, :"tiger:separated" => :no, :layer => -1}
TIGER_TO_OSM[:a14] = {:highway => :motorway, :"tiger:separated" => :no, :railway => :rail}
TIGER_TO_OSM[:a15] = {:highway => :motorway, :"tiger:separated" => :yes}
TIGER_TO_OSM[:a16] = {:highway => :motorway, :"tiger:separated" => :yes, :tunnel => :yes}
TIGER_TO_OSM[:a17] = {:highway => :motorway, :"tiger:separated" => :yes, :layer => -1}
TIGER_TO_OSM[:a18] = {:highway => :motorway, :"tiger:separated" => :yes, :railway => :rail}
TIGER_TO_OSM[:a19] = {:highway => :motorway, :bridge => :yes}

#primary roads without limited access
TIGER_TO_OSM[:a21] = {:highway => :primary, :"tiger:separated" => :no}
TIGER_TO_OSM[:a22] = {:highway => :primary, :"tiger:separated" => :no, :tunnel => :yes}
TIGER_TO_OSM[:a23] = {:highway => :primary, :"tiger:separated" => :no, :layer => -1}
TIGER_TO_OSM[:a24] = {:highway => :primary, :"tiger:separated" => :no, :railway => :rail}
TIGER_TO_OSM[:a25] = {:highway => :primary, :"tiger:separated" => :yes}
TIGER_TO_OSM[:a26] = {:highway => :primary, :"tiger:separated" => :yes, :tunnel => :yes}
TIGER_TO_OSM[:a27] = {:highway => :primary, :"tiger:separated" => :yes, :layer => -1}
TIGER_TO_OSM[:a28] = {:highway => :primary, :"tiger:separated" => :yes, :railway => :rail}
TIGER_TO_OSM[:a29] = {:highway => :primary, :bridge => :yes}

#secondary and connecting road
TIGER_TO_OSM[:a31] = {:highway => :secondary, :"tiger:separated" => :no}
TIGER_TO_OSM[:a32] = {:highway => :secondary, :"tiger:separated" => :no, :tunnel => :yes}
TIGER_TO_OSM[:a33] = {:highway => :secondary, :"tiger:separated" => :no, :layer => -1}
TIGER_TO_OSM[:a34] = {:highway => :secondary, :"tiger:separated" => :no, :railway => :rail}
TIGER_TO_OSM[:a35] = {:highway => :secondary, :"tiger:separated" => :yes}
TIGER_TO_OSM[:a36] = {:highway => :secondary, :"tiger:separated" => :yes, :tunnel => :yes}
TIGER_TO_OSM[:a37] = {:highway => :secondary, :"tiger:separated" => :yes, :layer => -1}
TIGER_TO_OSM[:a38] = {:highway => :secondary, :"tiger:separated" => :yes, :railway => :rail}
TIGER_TO_OSM[:a39] = {:highway => :secondary, :bridge => :yes}

#local, neighbrohood, and rural roads
TIGER_TO_OSM[:a41] = {:highway => :residential, :"tiger:separated" => :no}
TIGER_TO_OSM[:a42] = {:highway => :residential, :"tiger:separated" => :no, :tunnel => :yes}
TIGER_TO_OSM[:a43] = {:highway => :residential, :"tiger:separated" => :no, :layer => -1}
TIGER_TO_OSM[:a44] = {:highway => :residential, :"tiger:separated" => :no, :railway => :rail}
TIGER_TO_OSM[:a45] = {:highway => :residential, :"tiger:separated" => :yes}
TIGER_TO_OSM[:a46] = {:highway => :residential, :"tiger:separated" => :yes, :tunnel => :yes}
TIGER_TO_OSM[:a47] = {:highway => :residential, :"tiger:separated" => :yes, :layer => -1}
TIGER_TO_OSM[:a48] = {:highway => :residential, :"tiger:separated" => :yes, :railway => :rail}
TIGER_TO_OSM[:a49] = {:highway => :residential, :bridge => :yes}

#vehicular trail
TIGER_TO_OSM[:a51] = {:highway => :track, :"tiger:separated" => :no}
TIGER_TO_OSM[:a52] = {:highway => :track, :"tiger:separated" => :no, :tunnel => :yes}
TIGER_TO_OSM[:a53] = {:highway => :track, :"tiger:separated" => :no, :layer => -1}

#roads with special characteristics
TIGER_TO_OSM[:a60] = {:highway => :unclassified}
TIGER_TO_OSM[:a61] = {:highway => :unclassified, :noexit => :yes}
TIGER_TO_OSM[:a62] = {:highway => :unclassified, :junction => :roundabout}
TIGER_TO_OSM[:a63] = {:highway => :motorway_link}
TIGER_TO_OSM[:a64] = {:highway => :unclassified, :note => :frontage}
TIGER_TO_OSM[:a65] = {:route => :ferry}
TIGER_TO_OSM[:a66] = {:highway => :gate}
TIGER_TO_OSM[:a67] = {:highway => :toll_booth}

#roads as other thoroughfare
TIGER_TO_OSM[:a70] = {:highway => :unclassified}
TIGER_TO_OSM[:a71] = {:highway => :footway}
TIGER_TO_OSM[:a72] = {:highway => :steps}
TIGER_TO_OSM[:a73] = {:highway => :service}
TIGER_TO_OSM[:a74] = {:highway => :service, :access => :private}
TIGER_TO_OSM[:a75] = {} #reserved for internal census use

##RAILROADS

TIGER_TO_OSM[:b11] = {:railway => :rail} 	
TIGER_TO_OSM[:b12] = {:railway => :rail, :tunnel => :yes} 	
TIGER_TO_OSM[:b13] = {:railway => :rail, :layer => -1} 	
TIGER_TO_OSM[:b14] = {:railway => :disused}	
TIGER_TO_OSM[:b15] = {:railway => :abandoned}	
TIGER_TO_OSM[:b16] = {:railway => :abandoned} # could use some distinction from B15
TIGER_TO_OSM[:b19] = {:railway => :rail, :bridge => :yes}

TIGER_TO_OSM[:b21] = {:railway => :spur}
TIGER_TO_OSM[:b22] = {:railway => :spur, :tunnel => :yes}
TIGER_TO_OSM[:b23] = {:railway => :spur, :layer => -1}
TIGER_TO_OSM[:b29] = {:railway => :spur, :bridge => :yes}

TIGER_TO_OSM[:b31] = {:railway => :yard}	
TIGER_TO_OSM[:b32] = {:railway => :yard, :tunnel => :yes}
TIGER_TO_OSM[:b33] = {:railway => :yard, :layer => -1}
TIGER_TO_OSM[:b39] = {:railway => :yard, :bridge => :yes}

TIGER_TO_OSM[:b40] = {:railway => :rail, :route => :ferry}

TIGER_TO_OSM[:b50] = {:railway => :unknown}
TIGER_TO_OSM[:b51] = {:railway => :light_rail }
TIGER_TO_OSM[:b52] = {:railway => :incline}

TIGER_TO_OSM[:c00] = {}

TIGER_TO_OSM[:c10] = {:man_made => :pipeline}

TIGER_TO_OSM[:c20] = {:power => :line}

TIGER_TO_OSM[:c30] = {}
TIGER_TO_OSM[:c31] = {:aerialway => :unknown}
TIGER_TO_OSM[:c32] = {:man_made => :pier}
