#!/usr/bin/bash
set -e
OSM_OUT_DIR=counties
ZIPS_URL_BASE="http://www2.census.gov/geo/tiger/tiger2006se/"

ulimit -m 100
ulimit -a

LOCKFILE=""
UNZIP_DIR=""
function cleanup_err
{
	cleanup ERR
}
function cleanup_int
{
	cleanup INT
}
function cleanup
{
        #echo trap "$@"
	pushd $HOME
        (
         rm -f "$LOCKFILE" || true
	 rm "$UNZIP_DIR"/TGR* || true
	 rmdir "$UNZIP_DIR" || true
        ) 2> /dev/null
	popd
        true
}

function national_county_list
{
	LOCAL_COUNTY_LIST=~/.tiger.national.txt
	[ -e "$LOCAL_COUNTY_LIST" ] \
	|| wget -O "$LOCAL_COUNTY_LIST" \
		http://www.census.gov/geo/www/fips/fips65/data/national.txt
	if [ -e "$LOCAL_COUNTY_LIST" ]; then
		cat "$LOCAL_COUNTY_LIST";
	else
		echo could not download list of counties >&2
		exit 1;
	fi
}

function county_names_tiger_zips
{
	national_county_list \
	| grep -v ^State,FIPS \
	| awk -F, '{print $1 "," $4}'
}

county_names_tiger_zips | sort | uniq -c | sort -n
